package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_XML_PROPERTIES"
)
public class TXmlProperties extends TBaseEntity {
   private String PxmlName;
   private String Pkey;
   private String Pvalue;
   private String Coconf;
   private String groupname;
   private String yl;
   private String fprintf;
   private String sfxs;
   private Date createtime;
   private String creator;

   public String getCreator() {
      return this.creator;
   }

   public void setCreator(String creator) {
      this.creator = creator;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getYl() {
      return this.yl;
   }

   public void setYl(String yl) {
      this.yl = yl;
   }

   public String getFprintf() {
      return this.fprintf;
   }

   public void setFprintf(String fprintf) {
      this.fprintf = fprintf;
   }

   public String getGroupname() {
      return this.groupname;
   }

   public String getSfxs() {
      return this.sfxs;
   }

   public void setSfxs(String sfxs) {
      this.sfxs = sfxs;
   }

   public void setGroupname(String groupname) {
      this.groupname = groupname;
   }

   public String getCoconf() {
      return this.Coconf;
   }

   public void setCoconf(String coconf) {
      this.Coconf = coconf;
   }

   public String getPkey() {
      return this.Pkey;
   }

   public void setPkey(String pkey) {
      this.Pkey = pkey;
   }

   public String getPvalue() {
      return this.Pvalue;
   }

   public void setPvalue(String pvalue) {
      this.Pvalue = pvalue;
   }

   public String getPxmlName() {
      return this.PxmlName;
   }

   public void setPxmlName(String pxmlName) {
      this.PxmlName = pxmlName;
   }
}
